
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>9. License &#8212; EMULSION (Epidemiological Multi-Level Simulation framework)</title>
    <link rel="stylesheet" href="../_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/css/custom.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/language_data.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="shortcut icon" href="../_static/STEMAH-favicon.png"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="10. High-level functions for model designers" href="../emulsion_for_modellers.html" />
    <link rel="prev" title="8. Release notes" href="Release_notes.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="license">
<h1>9. License<a class="headerlink" href="#license" title="Permalink to this headline">¶</a></h1>
<p>Copyright 2016 INRAE and Univ. Lille.</p>
<p>Framework EMULSION is deposited at the French <a class="reference external" href="https://www.app.asso.fr/en">APP (Agency for the
Protection of Programs)</a> with reference:
<code class="docutils literal notranslate"><span class="pre">IDDN.FR.001.280043.000.R.P.2018.000.10000</span></code>.</p>
<p>EMULSION version 1.1.1 is released under the following license (Apache-2.0):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>
                                 <span class="n">Apache</span> <span class="n">License</span>
                           <span class="n">Version</span> <span class="mf">2.0</span><span class="p">,</span> <span class="n">January</span> <span class="mi">2004</span>
                        <span class="n">http</span><span class="p">:</span><span class="o">//</span><span class="n">www</span><span class="o">.</span><span class="n">apache</span><span class="o">.</span><span class="n">org</span><span class="o">/</span><span class="n">licenses</span><span class="o">/</span>

   <span class="n">TERMS</span> <span class="n">AND</span> <span class="n">CONDITIONS</span> <span class="n">FOR</span> <span class="n">USE</span><span class="p">,</span> <span class="n">REPRODUCTION</span><span class="p">,</span> <span class="n">AND</span> <span class="n">DISTRIBUTION</span>

   <span class="mf">1.</span> <span class="n">Definitions</span><span class="o">.</span>

      <span class="s2">&quot;License&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">the</span> <span class="n">terms</span> <span class="ow">and</span> <span class="n">conditions</span> <span class="k">for</span> <span class="n">use</span><span class="p">,</span> <span class="n">reproduction</span><span class="p">,</span>
      <span class="ow">and</span> <span class="n">distribution</span> <span class="k">as</span> <span class="n">defined</span> <span class="n">by</span> <span class="n">Sections</span> <span class="mi">1</span> <span class="n">through</span> <span class="mi">9</span> <span class="n">of</span> <span class="n">this</span> <span class="n">document</span><span class="o">.</span>

      <span class="s2">&quot;Licensor&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">the</span> <span class="n">copyright</span> <span class="n">owner</span> <span class="ow">or</span> <span class="n">entity</span> <span class="n">authorized</span> <span class="n">by</span>
      <span class="n">the</span> <span class="n">copyright</span> <span class="n">owner</span> <span class="n">that</span> <span class="ow">is</span> <span class="n">granting</span> <span class="n">the</span> <span class="n">License</span><span class="o">.</span>

      <span class="s2">&quot;Legal Entity&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">the</span> <span class="n">union</span> <span class="n">of</span> <span class="n">the</span> <span class="n">acting</span> <span class="n">entity</span> <span class="ow">and</span> <span class="nb">all</span>
      <span class="n">other</span> <span class="n">entities</span> <span class="n">that</span> <span class="n">control</span><span class="p">,</span> <span class="n">are</span> <span class="n">controlled</span> <span class="n">by</span><span class="p">,</span> <span class="ow">or</span> <span class="n">are</span> <span class="n">under</span> <span class="n">common</span>
      <span class="n">control</span> <span class="k">with</span> <span class="n">that</span> <span class="n">entity</span><span class="o">.</span> <span class="n">For</span> <span class="n">the</span> <span class="n">purposes</span> <span class="n">of</span> <span class="n">this</span> <span class="n">definition</span><span class="p">,</span>
      <span class="s2">&quot;control&quot;</span> <span class="n">means</span> <span class="p">(</span><span class="n">i</span><span class="p">)</span> <span class="n">the</span> <span class="n">power</span><span class="p">,</span> <span class="n">direct</span> <span class="ow">or</span> <span class="n">indirect</span><span class="p">,</span> <span class="n">to</span> <span class="n">cause</span> <span class="n">the</span>
      <span class="n">direction</span> <span class="ow">or</span> <span class="n">management</span> <span class="n">of</span> <span class="n">such</span> <span class="n">entity</span><span class="p">,</span> <span class="n">whether</span> <span class="n">by</span> <span class="n">contract</span> <span class="ow">or</span>
      <span class="n">otherwise</span><span class="p">,</span> <span class="ow">or</span> <span class="p">(</span><span class="n">ii</span><span class="p">)</span> <span class="n">ownership</span> <span class="n">of</span> <span class="n">fifty</span> <span class="n">percent</span> <span class="p">(</span><span class="mi">50</span><span class="o">%</span><span class="p">)</span> <span class="ow">or</span> <span class="n">more</span> <span class="n">of</span> <span class="n">the</span>
      <span class="n">outstanding</span> <span class="n">shares</span><span class="p">,</span> <span class="ow">or</span> <span class="p">(</span><span class="n">iii</span><span class="p">)</span> <span class="n">beneficial</span> <span class="n">ownership</span> <span class="n">of</span> <span class="n">such</span> <span class="n">entity</span><span class="o">.</span>

      <span class="s2">&quot;You&quot;</span> <span class="p">(</span><span class="ow">or</span> <span class="s2">&quot;Your&quot;</span><span class="p">)</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">an</span> <span class="n">individual</span> <span class="ow">or</span> <span class="n">Legal</span> <span class="n">Entity</span>
      <span class="n">exercising</span> <span class="n">permissions</span> <span class="n">granted</span> <span class="n">by</span> <span class="n">this</span> <span class="n">License</span><span class="o">.</span>

      <span class="s2">&quot;Source&quot;</span> <span class="n">form</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">the</span> <span class="n">preferred</span> <span class="n">form</span> <span class="k">for</span> <span class="n">making</span> <span class="n">modifications</span><span class="p">,</span>
      <span class="n">including</span> <span class="n">but</span> <span class="ow">not</span> <span class="n">limited</span> <span class="n">to</span> <span class="n">software</span> <span class="n">source</span> <span class="n">code</span><span class="p">,</span> <span class="n">documentation</span>
      <span class="n">source</span><span class="p">,</span> <span class="ow">and</span> <span class="n">configuration</span> <span class="n">files</span><span class="o">.</span>

      <span class="s2">&quot;Object&quot;</span> <span class="n">form</span> <span class="n">shall</span> <span class="n">mean</span> <span class="nb">any</span> <span class="n">form</span> <span class="n">resulting</span> <span class="kn">from</span> <span class="nn">mechanical</span>
      <span class="n">transformation</span> <span class="ow">or</span> <span class="n">translation</span> <span class="n">of</span> <span class="n">a</span> <span class="n">Source</span> <span class="n">form</span><span class="p">,</span> <span class="n">including</span> <span class="n">but</span>
      <span class="ow">not</span> <span class="n">limited</span> <span class="n">to</span> <span class="n">compiled</span> <span class="nb">object</span> <span class="n">code</span><span class="p">,</span> <span class="n">generated</span> <span class="n">documentation</span><span class="p">,</span>
      <span class="ow">and</span> <span class="n">conversions</span> <span class="n">to</span> <span class="n">other</span> <span class="n">media</span> <span class="n">types</span><span class="o">.</span>

      <span class="s2">&quot;Work&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">the</span> <span class="n">work</span> <span class="n">of</span> <span class="n">authorship</span><span class="p">,</span> <span class="n">whether</span> <span class="ow">in</span> <span class="n">Source</span> <span class="ow">or</span>
      <span class="n">Object</span> <span class="n">form</span><span class="p">,</span> <span class="n">made</span> <span class="n">available</span> <span class="n">under</span> <span class="n">the</span> <span class="n">License</span><span class="p">,</span> <span class="k">as</span> <span class="n">indicated</span> <span class="n">by</span> <span class="n">a</span>
      <span class="n">copyright</span> <span class="n">notice</span> <span class="n">that</span> <span class="ow">is</span> <span class="n">included</span> <span class="ow">in</span> <span class="ow">or</span> <span class="n">attached</span> <span class="n">to</span> <span class="n">the</span> <span class="n">work</span>
      <span class="p">(</span><span class="n">an</span> <span class="n">example</span> <span class="ow">is</span> <span class="n">provided</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">Appendix</span> <span class="n">below</span><span class="p">)</span><span class="o">.</span>

      <span class="s2">&quot;Derivative Works&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="nb">any</span> <span class="n">work</span><span class="p">,</span> <span class="n">whether</span> <span class="ow">in</span> <span class="n">Source</span> <span class="ow">or</span> <span class="n">Object</span>
      <span class="n">form</span><span class="p">,</span> <span class="n">that</span> <span class="ow">is</span> <span class="n">based</span> <span class="n">on</span> <span class="p">(</span><span class="ow">or</span> <span class="n">derived</span> <span class="n">from</span><span class="p">)</span> <span class="n">the</span> <span class="n">Work</span> <span class="ow">and</span> <span class="k">for</span> <span class="n">which</span> <span class="n">the</span>
      <span class="n">editorial</span> <span class="n">revisions</span><span class="p">,</span> <span class="n">annotations</span><span class="p">,</span> <span class="n">elaborations</span><span class="p">,</span> <span class="ow">or</span> <span class="n">other</span> <span class="n">modifications</span>
      <span class="n">represent</span><span class="p">,</span> <span class="k">as</span> <span class="n">a</span> <span class="n">whole</span><span class="p">,</span> <span class="n">an</span> <span class="n">original</span> <span class="n">work</span> <span class="n">of</span> <span class="n">authorship</span><span class="o">.</span> <span class="n">For</span> <span class="n">the</span> <span class="n">purposes</span>
      <span class="n">of</span> <span class="n">this</span> <span class="n">License</span><span class="p">,</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">shall</span> <span class="ow">not</span> <span class="n">include</span> <span class="n">works</span> <span class="n">that</span> <span class="n">remain</span>
      <span class="n">separable</span> <span class="n">from</span><span class="p">,</span> <span class="ow">or</span> <span class="n">merely</span> <span class="n">link</span> <span class="p">(</span><span class="ow">or</span> <span class="n">bind</span> <span class="n">by</span> <span class="n">name</span><span class="p">)</span> <span class="n">to</span> <span class="n">the</span> <span class="n">interfaces</span> <span class="n">of</span><span class="p">,</span>
      <span class="n">the</span> <span class="n">Work</span> <span class="ow">and</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">thereof</span><span class="o">.</span>

      <span class="s2">&quot;Contribution&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="nb">any</span> <span class="n">work</span> <span class="n">of</span> <span class="n">authorship</span><span class="p">,</span> <span class="n">including</span>
      <span class="n">the</span> <span class="n">original</span> <span class="n">version</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Work</span> <span class="ow">and</span> <span class="nb">any</span> <span class="n">modifications</span> <span class="ow">or</span> <span class="n">additions</span>
      <span class="n">to</span> <span class="n">that</span> <span class="n">Work</span> <span class="ow">or</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">thereof</span><span class="p">,</span> <span class="n">that</span> <span class="ow">is</span> <span class="n">intentionally</span>
      <span class="n">submitted</span> <span class="n">to</span> <span class="n">Licensor</span> <span class="k">for</span> <span class="n">inclusion</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">Work</span> <span class="n">by</span> <span class="n">the</span> <span class="n">copyright</span> <span class="n">owner</span>
      <span class="ow">or</span> <span class="n">by</span> <span class="n">an</span> <span class="n">individual</span> <span class="ow">or</span> <span class="n">Legal</span> <span class="n">Entity</span> <span class="n">authorized</span> <span class="n">to</span> <span class="n">submit</span> <span class="n">on</span> <span class="n">behalf</span> <span class="n">of</span>
      <span class="n">the</span> <span class="n">copyright</span> <span class="n">owner</span><span class="o">.</span> <span class="n">For</span> <span class="n">the</span> <span class="n">purposes</span> <span class="n">of</span> <span class="n">this</span> <span class="n">definition</span><span class="p">,</span> <span class="s2">&quot;submitted&quot;</span>
      <span class="n">means</span> <span class="nb">any</span> <span class="n">form</span> <span class="n">of</span> <span class="n">electronic</span><span class="p">,</span> <span class="n">verbal</span><span class="p">,</span> <span class="ow">or</span> <span class="n">written</span> <span class="n">communication</span> <span class="n">sent</span>
      <span class="n">to</span> <span class="n">the</span> <span class="n">Licensor</span> <span class="ow">or</span> <span class="n">its</span> <span class="n">representatives</span><span class="p">,</span> <span class="n">including</span> <span class="n">but</span> <span class="ow">not</span> <span class="n">limited</span> <span class="n">to</span>
      <span class="n">communication</span> <span class="n">on</span> <span class="n">electronic</span> <span class="n">mailing</span> <span class="n">lists</span><span class="p">,</span> <span class="n">source</span> <span class="n">code</span> <span class="n">control</span> <span class="n">systems</span><span class="p">,</span>
      <span class="ow">and</span> <span class="n">issue</span> <span class="n">tracking</span> <span class="n">systems</span> <span class="n">that</span> <span class="n">are</span> <span class="n">managed</span> <span class="n">by</span><span class="p">,</span> <span class="ow">or</span> <span class="n">on</span> <span class="n">behalf</span> <span class="n">of</span><span class="p">,</span> <span class="n">the</span>
      <span class="n">Licensor</span> <span class="k">for</span> <span class="n">the</span> <span class="n">purpose</span> <span class="n">of</span> <span class="n">discussing</span> <span class="ow">and</span> <span class="n">improving</span> <span class="n">the</span> <span class="n">Work</span><span class="p">,</span> <span class="n">but</span>
      <span class="n">excluding</span> <span class="n">communication</span> <span class="n">that</span> <span class="ow">is</span> <span class="n">conspicuously</span> <span class="n">marked</span> <span class="ow">or</span> <span class="n">otherwise</span>
      <span class="n">designated</span> <span class="ow">in</span> <span class="n">writing</span> <span class="n">by</span> <span class="n">the</span> <span class="n">copyright</span> <span class="n">owner</span> <span class="k">as</span> <span class="s2">&quot;Not a Contribution.&quot;</span>

      <span class="s2">&quot;Contributor&quot;</span> <span class="n">shall</span> <span class="n">mean</span> <span class="n">Licensor</span> <span class="ow">and</span> <span class="nb">any</span> <span class="n">individual</span> <span class="ow">or</span> <span class="n">Legal</span> <span class="n">Entity</span>
      <span class="n">on</span> <span class="n">behalf</span> <span class="n">of</span> <span class="n">whom</span> <span class="n">a</span> <span class="n">Contribution</span> <span class="n">has</span> <span class="n">been</span> <span class="n">received</span> <span class="n">by</span> <span class="n">Licensor</span> <span class="ow">and</span>
      <span class="n">subsequently</span> <span class="n">incorporated</span> <span class="n">within</span> <span class="n">the</span> <span class="n">Work</span><span class="o">.</span>

   <span class="mf">2.</span> <span class="n">Grant</span> <span class="n">of</span> <span class="n">Copyright</span> <span class="n">License</span><span class="o">.</span> <span class="n">Subject</span> <span class="n">to</span> <span class="n">the</span> <span class="n">terms</span> <span class="ow">and</span> <span class="n">conditions</span> <span class="n">of</span>
      <span class="n">this</span> <span class="n">License</span><span class="p">,</span> <span class="n">each</span> <span class="n">Contributor</span> <span class="n">hereby</span> <span class="n">grants</span> <span class="n">to</span> <span class="n">You</span> <span class="n">a</span> <span class="n">perpetual</span><span class="p">,</span>
      <span class="n">worldwide</span><span class="p">,</span> <span class="n">non</span><span class="o">-</span><span class="n">exclusive</span><span class="p">,</span> <span class="n">no</span><span class="o">-</span><span class="n">charge</span><span class="p">,</span> <span class="n">royalty</span><span class="o">-</span><span class="n">free</span><span class="p">,</span> <span class="n">irrevocable</span>
      <span class="n">copyright</span> <span class="n">license</span> <span class="n">to</span> <span class="n">reproduce</span><span class="p">,</span> <span class="n">prepare</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">of</span><span class="p">,</span>
      <span class="n">publicly</span> <span class="n">display</span><span class="p">,</span> <span class="n">publicly</span> <span class="n">perform</span><span class="p">,</span> <span class="n">sublicense</span><span class="p">,</span> <span class="ow">and</span> <span class="n">distribute</span> <span class="n">the</span>
      <span class="n">Work</span> <span class="ow">and</span> <span class="n">such</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="ow">in</span> <span class="n">Source</span> <span class="ow">or</span> <span class="n">Object</span> <span class="n">form</span><span class="o">.</span>

   <span class="mf">3.</span> <span class="n">Grant</span> <span class="n">of</span> <span class="n">Patent</span> <span class="n">License</span><span class="o">.</span> <span class="n">Subject</span> <span class="n">to</span> <span class="n">the</span> <span class="n">terms</span> <span class="ow">and</span> <span class="n">conditions</span> <span class="n">of</span>
      <span class="n">this</span> <span class="n">License</span><span class="p">,</span> <span class="n">each</span> <span class="n">Contributor</span> <span class="n">hereby</span> <span class="n">grants</span> <span class="n">to</span> <span class="n">You</span> <span class="n">a</span> <span class="n">perpetual</span><span class="p">,</span>
      <span class="n">worldwide</span><span class="p">,</span> <span class="n">non</span><span class="o">-</span><span class="n">exclusive</span><span class="p">,</span> <span class="n">no</span><span class="o">-</span><span class="n">charge</span><span class="p">,</span> <span class="n">royalty</span><span class="o">-</span><span class="n">free</span><span class="p">,</span> <span class="n">irrevocable</span>
      <span class="p">(</span><span class="k">except</span> <span class="k">as</span> <span class="n">stated</span> <span class="ow">in</span> <span class="n">this</span> <span class="n">section</span><span class="p">)</span> <span class="n">patent</span> <span class="n">license</span> <span class="n">to</span> <span class="n">make</span><span class="p">,</span> <span class="n">have</span> <span class="n">made</span><span class="p">,</span>
      <span class="n">use</span><span class="p">,</span> <span class="n">offer</span> <span class="n">to</span> <span class="n">sell</span><span class="p">,</span> <span class="n">sell</span><span class="p">,</span> <span class="n">import</span><span class="p">,</span> <span class="ow">and</span> <span class="n">otherwise</span> <span class="n">transfer</span> <span class="n">the</span> <span class="n">Work</span><span class="p">,</span>
      <span class="n">where</span> <span class="n">such</span> <span class="n">license</span> <span class="n">applies</span> <span class="n">only</span> <span class="n">to</span> <span class="n">those</span> <span class="n">patent</span> <span class="n">claims</span> <span class="n">licensable</span>
      <span class="n">by</span> <span class="n">such</span> <span class="n">Contributor</span> <span class="n">that</span> <span class="n">are</span> <span class="n">necessarily</span> <span class="n">infringed</span> <span class="n">by</span> <span class="n">their</span>
      <span class="n">Contribution</span><span class="p">(</span><span class="n">s</span><span class="p">)</span> <span class="n">alone</span> <span class="ow">or</span> <span class="n">by</span> <span class="n">combination</span> <span class="n">of</span> <span class="n">their</span> <span class="n">Contribution</span><span class="p">(</span><span class="n">s</span><span class="p">)</span>
      <span class="k">with</span> <span class="n">the</span> <span class="n">Work</span> <span class="n">to</span> <span class="n">which</span> <span class="n">such</span> <span class="n">Contribution</span><span class="p">(</span><span class="n">s</span><span class="p">)</span> <span class="n">was</span> <span class="n">submitted</span><span class="o">.</span> <span class="n">If</span> <span class="n">You</span>
      <span class="n">institute</span> <span class="n">patent</span> <span class="n">litigation</span> <span class="n">against</span> <span class="nb">any</span> <span class="n">entity</span> <span class="p">(</span><span class="n">including</span> <span class="n">a</span>
      <span class="n">cross</span><span class="o">-</span><span class="n">claim</span> <span class="ow">or</span> <span class="n">counterclaim</span> <span class="ow">in</span> <span class="n">a</span> <span class="n">lawsuit</span><span class="p">)</span> <span class="n">alleging</span> <span class="n">that</span> <span class="n">the</span> <span class="n">Work</span>
      <span class="ow">or</span> <span class="n">a</span> <span class="n">Contribution</span> <span class="n">incorporated</span> <span class="n">within</span> <span class="n">the</span> <span class="n">Work</span> <span class="n">constitutes</span> <span class="n">direct</span>
      <span class="ow">or</span> <span class="n">contributory</span> <span class="n">patent</span> <span class="n">infringement</span><span class="p">,</span> <span class="n">then</span> <span class="nb">any</span> <span class="n">patent</span> <span class="n">licenses</span>
      <span class="n">granted</span> <span class="n">to</span> <span class="n">You</span> <span class="n">under</span> <span class="n">this</span> <span class="n">License</span> <span class="k">for</span> <span class="n">that</span> <span class="n">Work</span> <span class="n">shall</span> <span class="n">terminate</span>
      <span class="k">as</span> <span class="n">of</span> <span class="n">the</span> <span class="n">date</span> <span class="n">such</span> <span class="n">litigation</span> <span class="ow">is</span> <span class="n">filed</span><span class="o">.</span>

   <span class="mf">4.</span> <span class="n">Redistribution</span><span class="o">.</span> <span class="n">You</span> <span class="n">may</span> <span class="n">reproduce</span> <span class="ow">and</span> <span class="n">distribute</span> <span class="n">copies</span> <span class="n">of</span> <span class="n">the</span>
      <span class="n">Work</span> <span class="ow">or</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">thereof</span> <span class="ow">in</span> <span class="nb">any</span> <span class="n">medium</span><span class="p">,</span> <span class="k">with</span> <span class="ow">or</span> <span class="n">without</span>
      <span class="n">modifications</span><span class="p">,</span> <span class="ow">and</span> <span class="ow">in</span> <span class="n">Source</span> <span class="ow">or</span> <span class="n">Object</span> <span class="n">form</span><span class="p">,</span> <span class="n">provided</span> <span class="n">that</span> <span class="n">You</span>
      <span class="n">meet</span> <span class="n">the</span> <span class="n">following</span> <span class="n">conditions</span><span class="p">:</span>

      <span class="p">(</span><span class="n">a</span><span class="p">)</span> <span class="n">You</span> <span class="n">must</span> <span class="n">give</span> <span class="nb">any</span> <span class="n">other</span> <span class="n">recipients</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Work</span> <span class="ow">or</span>
          <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">a</span> <span class="n">copy</span> <span class="n">of</span> <span class="n">this</span> <span class="n">License</span><span class="p">;</span> <span class="ow">and</span>

      <span class="p">(</span><span class="n">b</span><span class="p">)</span> <span class="n">You</span> <span class="n">must</span> <span class="n">cause</span> <span class="nb">any</span> <span class="n">modified</span> <span class="n">files</span> <span class="n">to</span> <span class="n">carry</span> <span class="n">prominent</span> <span class="n">notices</span>
          <span class="n">stating</span> <span class="n">that</span> <span class="n">You</span> <span class="n">changed</span> <span class="n">the</span> <span class="n">files</span><span class="p">;</span> <span class="ow">and</span>

      <span class="p">(</span><span class="n">c</span><span class="p">)</span> <span class="n">You</span> <span class="n">must</span> <span class="n">retain</span><span class="p">,</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">Source</span> <span class="n">form</span> <span class="n">of</span> <span class="nb">any</span> <span class="n">Derivative</span> <span class="n">Works</span>
          <span class="n">that</span> <span class="n">You</span> <span class="n">distribute</span><span class="p">,</span> <span class="nb">all</span> <span class="n">copyright</span><span class="p">,</span> <span class="n">patent</span><span class="p">,</span> <span class="n">trademark</span><span class="p">,</span> <span class="ow">and</span>
          <span class="n">attribution</span> <span class="n">notices</span> <span class="kn">from</span> <span class="nn">the</span> <span class="n">Source</span> <span class="n">form</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Work</span><span class="p">,</span>
          <span class="n">excluding</span> <span class="n">those</span> <span class="n">notices</span> <span class="n">that</span> <span class="n">do</span> <span class="ow">not</span> <span class="n">pertain</span> <span class="n">to</span> <span class="nb">any</span> <span class="n">part</span> <span class="n">of</span>
          <span class="n">the</span> <span class="n">Derivative</span> <span class="n">Works</span><span class="p">;</span> <span class="ow">and</span>

      <span class="p">(</span><span class="n">d</span><span class="p">)</span> <span class="n">If</span> <span class="n">the</span> <span class="n">Work</span> <span class="n">includes</span> <span class="n">a</span> <span class="s2">&quot;NOTICE&quot;</span> <span class="n">text</span> <span class="n">file</span> <span class="k">as</span> <span class="n">part</span> <span class="n">of</span> <span class="n">its</span>
          <span class="n">distribution</span><span class="p">,</span> <span class="n">then</span> <span class="nb">any</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">that</span> <span class="n">You</span> <span class="n">distribute</span> <span class="n">must</span>
          <span class="n">include</span> <span class="n">a</span> <span class="n">readable</span> <span class="n">copy</span> <span class="n">of</span> <span class="n">the</span> <span class="n">attribution</span> <span class="n">notices</span> <span class="n">contained</span>
          <span class="n">within</span> <span class="n">such</span> <span class="n">NOTICE</span> <span class="n">file</span><span class="p">,</span> <span class="n">excluding</span> <span class="n">those</span> <span class="n">notices</span> <span class="n">that</span> <span class="n">do</span> <span class="ow">not</span>
          <span class="n">pertain</span> <span class="n">to</span> <span class="nb">any</span> <span class="n">part</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Derivative</span> <span class="n">Works</span><span class="p">,</span> <span class="ow">in</span> <span class="n">at</span> <span class="n">least</span> <span class="n">one</span>
          <span class="n">of</span> <span class="n">the</span> <span class="n">following</span> <span class="n">places</span><span class="p">:</span> <span class="n">within</span> <span class="n">a</span> <span class="n">NOTICE</span> <span class="n">text</span> <span class="n">file</span> <span class="n">distributed</span>
          <span class="k">as</span> <span class="n">part</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Derivative</span> <span class="n">Works</span><span class="p">;</span> <span class="n">within</span> <span class="n">the</span> <span class="n">Source</span> <span class="n">form</span> <span class="ow">or</span>
          <span class="n">documentation</span><span class="p">,</span> <span class="k">if</span> <span class="n">provided</span> <span class="n">along</span> <span class="k">with</span> <span class="n">the</span> <span class="n">Derivative</span> <span class="n">Works</span><span class="p">;</span> <span class="ow">or</span><span class="p">,</span>
          <span class="n">within</span> <span class="n">a</span> <span class="n">display</span> <span class="n">generated</span> <span class="n">by</span> <span class="n">the</span> <span class="n">Derivative</span> <span class="n">Works</span><span class="p">,</span> <span class="k">if</span> <span class="ow">and</span>
          <span class="n">wherever</span> <span class="n">such</span> <span class="n">third</span><span class="o">-</span><span class="n">party</span> <span class="n">notices</span> <span class="n">normally</span> <span class="n">appear</span><span class="o">.</span> <span class="n">The</span> <span class="n">contents</span>
          <span class="n">of</span> <span class="n">the</span> <span class="n">NOTICE</span> <span class="n">file</span> <span class="n">are</span> <span class="k">for</span> <span class="n">informational</span> <span class="n">purposes</span> <span class="n">only</span> <span class="ow">and</span>
          <span class="n">do</span> <span class="ow">not</span> <span class="n">modify</span> <span class="n">the</span> <span class="n">License</span><span class="o">.</span> <span class="n">You</span> <span class="n">may</span> <span class="n">add</span> <span class="n">Your</span> <span class="n">own</span> <span class="n">attribution</span>
          <span class="n">notices</span> <span class="n">within</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">that</span> <span class="n">You</span> <span class="n">distribute</span><span class="p">,</span> <span class="n">alongside</span>
          <span class="ow">or</span> <span class="k">as</span> <span class="n">an</span> <span class="n">addendum</span> <span class="n">to</span> <span class="n">the</span> <span class="n">NOTICE</span> <span class="n">text</span> <span class="kn">from</span> <span class="nn">the</span> <span class="n">Work</span><span class="p">,</span> <span class="n">provided</span>
          <span class="n">that</span> <span class="n">such</span> <span class="n">additional</span> <span class="n">attribution</span> <span class="n">notices</span> <span class="n">cannot</span> <span class="n">be</span> <span class="n">construed</span>
          <span class="k">as</span> <span class="n">modifying</span> <span class="n">the</span> <span class="n">License</span><span class="o">.</span>

      <span class="n">You</span> <span class="n">may</span> <span class="n">add</span> <span class="n">Your</span> <span class="n">own</span> <span class="n">copyright</span> <span class="n">statement</span> <span class="n">to</span> <span class="n">Your</span> <span class="n">modifications</span> <span class="ow">and</span>
      <span class="n">may</span> <span class="n">provide</span> <span class="n">additional</span> <span class="ow">or</span> <span class="n">different</span> <span class="n">license</span> <span class="n">terms</span> <span class="ow">and</span> <span class="n">conditions</span>
      <span class="k">for</span> <span class="n">use</span><span class="p">,</span> <span class="n">reproduction</span><span class="p">,</span> <span class="ow">or</span> <span class="n">distribution</span> <span class="n">of</span> <span class="n">Your</span> <span class="n">modifications</span><span class="p">,</span> <span class="ow">or</span>
      <span class="k">for</span> <span class="nb">any</span> <span class="n">such</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="k">as</span> <span class="n">a</span> <span class="n">whole</span><span class="p">,</span> <span class="n">provided</span> <span class="n">Your</span> <span class="n">use</span><span class="p">,</span>
      <span class="n">reproduction</span><span class="p">,</span> <span class="ow">and</span> <span class="n">distribution</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Work</span> <span class="n">otherwise</span> <span class="n">complies</span> <span class="k">with</span>
      <span class="n">the</span> <span class="n">conditions</span> <span class="n">stated</span> <span class="ow">in</span> <span class="n">this</span> <span class="n">License</span><span class="o">.</span>

   <span class="mf">5.</span> <span class="n">Submission</span> <span class="n">of</span> <span class="n">Contributions</span><span class="o">.</span> <span class="n">Unless</span> <span class="n">You</span> <span class="n">explicitly</span> <span class="n">state</span> <span class="n">otherwise</span><span class="p">,</span>
      <span class="nb">any</span> <span class="n">Contribution</span> <span class="n">intentionally</span> <span class="n">submitted</span> <span class="k">for</span> <span class="n">inclusion</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">Work</span>
      <span class="n">by</span> <span class="n">You</span> <span class="n">to</span> <span class="n">the</span> <span class="n">Licensor</span> <span class="n">shall</span> <span class="n">be</span> <span class="n">under</span> <span class="n">the</span> <span class="n">terms</span> <span class="ow">and</span> <span class="n">conditions</span> <span class="n">of</span>
      <span class="n">this</span> <span class="n">License</span><span class="p">,</span> <span class="n">without</span> <span class="nb">any</span> <span class="n">additional</span> <span class="n">terms</span> <span class="ow">or</span> <span class="n">conditions</span><span class="o">.</span>
      <span class="n">Notwithstanding</span> <span class="n">the</span> <span class="n">above</span><span class="p">,</span> <span class="n">nothing</span> <span class="n">herein</span> <span class="n">shall</span> <span class="n">supersede</span> <span class="ow">or</span> <span class="n">modify</span>
      <span class="n">the</span> <span class="n">terms</span> <span class="n">of</span> <span class="nb">any</span> <span class="n">separate</span> <span class="n">license</span> <span class="n">agreement</span> <span class="n">you</span> <span class="n">may</span> <span class="n">have</span> <span class="n">executed</span>
      <span class="k">with</span> <span class="n">Licensor</span> <span class="n">regarding</span> <span class="n">such</span> <span class="n">Contributions</span><span class="o">.</span>

   <span class="mf">6.</span> <span class="n">Trademarks</span><span class="o">.</span> <span class="n">This</span> <span class="n">License</span> <span class="n">does</span> <span class="ow">not</span> <span class="n">grant</span> <span class="n">permission</span> <span class="n">to</span> <span class="n">use</span> <span class="n">the</span> <span class="n">trade</span>
      <span class="n">names</span><span class="p">,</span> <span class="n">trademarks</span><span class="p">,</span> <span class="n">service</span> <span class="n">marks</span><span class="p">,</span> <span class="ow">or</span> <span class="n">product</span> <span class="n">names</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Licensor</span><span class="p">,</span>
      <span class="k">except</span> <span class="k">as</span> <span class="n">required</span> <span class="k">for</span> <span class="n">reasonable</span> <span class="ow">and</span> <span class="n">customary</span> <span class="n">use</span> <span class="ow">in</span> <span class="n">describing</span> <span class="n">the</span>
      <span class="n">origin</span> <span class="n">of</span> <span class="n">the</span> <span class="n">Work</span> <span class="ow">and</span> <span class="n">reproducing</span> <span class="n">the</span> <span class="n">content</span> <span class="n">of</span> <span class="n">the</span> <span class="n">NOTICE</span> <span class="n">file</span><span class="o">.</span>

   <span class="mf">7.</span> <span class="n">Disclaimer</span> <span class="n">of</span> <span class="n">Warranty</span><span class="o">.</span> <span class="n">Unless</span> <span class="n">required</span> <span class="n">by</span> <span class="n">applicable</span> <span class="n">law</span> <span class="ow">or</span>
      <span class="n">agreed</span> <span class="n">to</span> <span class="ow">in</span> <span class="n">writing</span><span class="p">,</span> <span class="n">Licensor</span> <span class="n">provides</span> <span class="n">the</span> <span class="n">Work</span> <span class="p">(</span><span class="ow">and</span> <span class="n">each</span>
      <span class="n">Contributor</span> <span class="n">provides</span> <span class="n">its</span> <span class="n">Contributions</span><span class="p">)</span> <span class="n">on</span> <span class="n">an</span> <span class="s2">&quot;AS IS&quot;</span> <span class="n">BASIS</span><span class="p">,</span>
      <span class="n">WITHOUT</span> <span class="n">WARRANTIES</span> <span class="n">OR</span> <span class="n">CONDITIONS</span> <span class="n">OF</span> <span class="n">ANY</span> <span class="n">KIND</span><span class="p">,</span> <span class="n">either</span> <span class="n">express</span> <span class="ow">or</span>
      <span class="n">implied</span><span class="p">,</span> <span class="n">including</span><span class="p">,</span> <span class="n">without</span> <span class="n">limitation</span><span class="p">,</span> <span class="nb">any</span> <span class="n">warranties</span> <span class="ow">or</span> <span class="n">conditions</span>
      <span class="n">of</span> <span class="n">TITLE</span><span class="p">,</span> <span class="n">NON</span><span class="o">-</span><span class="n">INFRINGEMENT</span><span class="p">,</span> <span class="n">MERCHANTABILITY</span><span class="p">,</span> <span class="ow">or</span> <span class="n">FITNESS</span> <span class="n">FOR</span> <span class="n">A</span>
      <span class="n">PARTICULAR</span> <span class="n">PURPOSE</span><span class="o">.</span> <span class="n">You</span> <span class="n">are</span> <span class="n">solely</span> <span class="n">responsible</span> <span class="k">for</span> <span class="n">determining</span> <span class="n">the</span>
      <span class="n">appropriateness</span> <span class="n">of</span> <span class="n">using</span> <span class="ow">or</span> <span class="n">redistributing</span> <span class="n">the</span> <span class="n">Work</span> <span class="ow">and</span> <span class="n">assume</span> <span class="nb">any</span>
      <span class="n">risks</span> <span class="n">associated</span> <span class="k">with</span> <span class="n">Your</span> <span class="n">exercise</span> <span class="n">of</span> <span class="n">permissions</span> <span class="n">under</span> <span class="n">this</span> <span class="n">License</span><span class="o">.</span>

   <span class="mf">8.</span> <span class="n">Limitation</span> <span class="n">of</span> <span class="n">Liability</span><span class="o">.</span> <span class="n">In</span> <span class="n">no</span> <span class="n">event</span> <span class="ow">and</span> <span class="n">under</span> <span class="n">no</span> <span class="n">legal</span> <span class="n">theory</span><span class="p">,</span>
      <span class="n">whether</span> <span class="ow">in</span> <span class="n">tort</span> <span class="p">(</span><span class="n">including</span> <span class="n">negligence</span><span class="p">),</span> <span class="n">contract</span><span class="p">,</span> <span class="ow">or</span> <span class="n">otherwise</span><span class="p">,</span>
      <span class="n">unless</span> <span class="n">required</span> <span class="n">by</span> <span class="n">applicable</span> <span class="n">law</span> <span class="p">(</span><span class="n">such</span> <span class="k">as</span> <span class="n">deliberate</span> <span class="ow">and</span> <span class="n">grossly</span>
      <span class="n">negligent</span> <span class="n">acts</span><span class="p">)</span> <span class="ow">or</span> <span class="n">agreed</span> <span class="n">to</span> <span class="ow">in</span> <span class="n">writing</span><span class="p">,</span> <span class="n">shall</span> <span class="nb">any</span> <span class="n">Contributor</span> <span class="n">be</span>
      <span class="n">liable</span> <span class="n">to</span> <span class="n">You</span> <span class="k">for</span> <span class="n">damages</span><span class="p">,</span> <span class="n">including</span> <span class="nb">any</span> <span class="n">direct</span><span class="p">,</span> <span class="n">indirect</span><span class="p">,</span> <span class="n">special</span><span class="p">,</span>
      <span class="n">incidental</span><span class="p">,</span> <span class="ow">or</span> <span class="n">consequential</span> <span class="n">damages</span> <span class="n">of</span> <span class="nb">any</span> <span class="n">character</span> <span class="n">arising</span> <span class="k">as</span> <span class="n">a</span>
      <span class="n">result</span> <span class="n">of</span> <span class="n">this</span> <span class="n">License</span> <span class="ow">or</span> <span class="n">out</span> <span class="n">of</span> <span class="n">the</span> <span class="n">use</span> <span class="ow">or</span> <span class="n">inability</span> <span class="n">to</span> <span class="n">use</span> <span class="n">the</span>
      <span class="n">Work</span> <span class="p">(</span><span class="n">including</span> <span class="n">but</span> <span class="ow">not</span> <span class="n">limited</span> <span class="n">to</span> <span class="n">damages</span> <span class="k">for</span> <span class="n">loss</span> <span class="n">of</span> <span class="n">goodwill</span><span class="p">,</span>
      <span class="n">work</span> <span class="n">stoppage</span><span class="p">,</span> <span class="n">computer</span> <span class="n">failure</span> <span class="ow">or</span> <span class="n">malfunction</span><span class="p">,</span> <span class="ow">or</span> <span class="nb">any</span> <span class="ow">and</span> <span class="nb">all</span>
      <span class="n">other</span> <span class="n">commercial</span> <span class="n">damages</span> <span class="ow">or</span> <span class="n">losses</span><span class="p">),</span> <span class="n">even</span> <span class="k">if</span> <span class="n">such</span> <span class="n">Contributor</span>
      <span class="n">has</span> <span class="n">been</span> <span class="n">advised</span> <span class="n">of</span> <span class="n">the</span> <span class="n">possibility</span> <span class="n">of</span> <span class="n">such</span> <span class="n">damages</span><span class="o">.</span>

   <span class="mf">9.</span> <span class="n">Accepting</span> <span class="n">Warranty</span> <span class="ow">or</span> <span class="n">Additional</span> <span class="n">Liability</span><span class="o">.</span> <span class="n">While</span> <span class="n">redistributing</span>
      <span class="n">the</span> <span class="n">Work</span> <span class="ow">or</span> <span class="n">Derivative</span> <span class="n">Works</span> <span class="n">thereof</span><span class="p">,</span> <span class="n">You</span> <span class="n">may</span> <span class="n">choose</span> <span class="n">to</span> <span class="n">offer</span><span class="p">,</span>
      <span class="ow">and</span> <span class="n">charge</span> <span class="n">a</span> <span class="n">fee</span> <span class="k">for</span><span class="p">,</span> <span class="n">acceptance</span> <span class="n">of</span> <span class="n">support</span><span class="p">,</span> <span class="n">warranty</span><span class="p">,</span> <span class="n">indemnity</span><span class="p">,</span>
      <span class="ow">or</span> <span class="n">other</span> <span class="n">liability</span> <span class="n">obligations</span> <span class="ow">and</span><span class="o">/</span><span class="ow">or</span> <span class="n">rights</span> <span class="n">consistent</span> <span class="k">with</span> <span class="n">this</span>
      <span class="n">License</span><span class="o">.</span> <span class="n">However</span><span class="p">,</span> <span class="ow">in</span> <span class="n">accepting</span> <span class="n">such</span> <span class="n">obligations</span><span class="p">,</span> <span class="n">You</span> <span class="n">may</span> <span class="n">act</span> <span class="n">only</span>
      <span class="n">on</span> <span class="n">Your</span> <span class="n">own</span> <span class="n">behalf</span> <span class="ow">and</span> <span class="n">on</span> <span class="n">Your</span> <span class="n">sole</span> <span class="n">responsibility</span><span class="p">,</span> <span class="ow">not</span> <span class="n">on</span> <span class="n">behalf</span>
      <span class="n">of</span> <span class="nb">any</span> <span class="n">other</span> <span class="n">Contributor</span><span class="p">,</span> <span class="ow">and</span> <span class="n">only</span> <span class="k">if</span> <span class="n">You</span> <span class="n">agree</span> <span class="n">to</span> <span class="n">indemnify</span><span class="p">,</span>
      <span class="n">defend</span><span class="p">,</span> <span class="ow">and</span> <span class="n">hold</span> <span class="n">each</span> <span class="n">Contributor</span> <span class="n">harmless</span> <span class="k">for</span> <span class="nb">any</span> <span class="n">liability</span>
      <span class="n">incurred</span> <span class="n">by</span><span class="p">,</span> <span class="ow">or</span> <span class="n">claims</span> <span class="n">asserted</span> <span class="n">against</span><span class="p">,</span> <span class="n">such</span> <span class="n">Contributor</span> <span class="n">by</span> <span class="n">reason</span>
      <span class="n">of</span> <span class="n">your</span> <span class="n">accepting</span> <span class="nb">any</span> <span class="n">such</span> <span class="n">warranty</span> <span class="ow">or</span> <span class="n">additional</span> <span class="n">liability</span><span class="o">.</span>

   <span class="n">END</span> <span class="n">OF</span> <span class="n">TERMS</span> <span class="n">AND</span> <span class="n">CONDITIONS</span>
</pre></div>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">EMULSION</a></h1>



<p class="blurb">Epidemiological Multi-Level Simulation Framework</p>






<h3>Navigation</h3>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Information.html">1. Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="Install.html">2. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Getting_started.html">3. Getting started with EMULSION</a></li>
<li class="toctree-l1"><a class="reference internal" href="Modelling_principles.html">4. Modelling principles</a></li>
<li class="toctree-l1"><a class="reference internal" href="Modelling_language_basics.html">5. Modelling language (basics)</a></li>
<li class="toctree-l1"><a class="reference internal" href="Modelling_language_advanced.html">6. Modelling language (advanced)</a></li>
<li class="toctree-l1"><a class="reference internal" href="Feature_examples.html">7. Feature examples</a></li>
<li class="toctree-l1"><a class="reference internal" href="Release_notes.html">8. Release notes</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">9. License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion_for_modellers.html">10. High-level functions for model designers</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion.html">11. emulsion package</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="Release_notes.html" title="previous chapter">8. Release notes</a></li>
      <li>Next: <a href="../emulsion_for_modellers.html" title="next chapter">10. High-level functions for model designers</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2016, INRAE and Univ. Lille.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.5</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="../_sources/pages/License.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>